//
//  NSEdgeInsets.swift
//  Calendr
//
//  Created by Paker on 10/04/2021.
//

import Foundation

extension NSEdgeInsets {

    init(top: CGFloat = 0, left: CGFloat = 0, bottom: CGFloat = 0, right: CGFloat = 0) {
        self.init()
        self.top = top
        self.left = left
        self.bottom = bottom
        self.right = right
    }

    init(horizontal: CGFloat = 0, vertical: CGFloat = 0) {
        self.init(top: vertical, left: horizontal, bottom: vertical, right: horizontal)
    }

    init(_ value: CGFloat) {
        self.init(horizontal: value, vertical: value)
    }
}
